Component({
  mixins: [],// minxin 方便复用代码
  data: {
    show: 1,
    loading: 2,
    resultSuccess: 3,
    resultFailed: 4,

    dialogDisplay:0,

  },// 组件内部数据
  props: {
    remindText: "",
    // warningText:"",
    loadingText: "",
    resultSuccessRemind:"",
    resultSuccessText:"",
    resultFailureRemind:"",
    resultFailureText:"",

    displayDialog: 0,
    

  },// 可给外部传入的属性添加默认值
  didMount() {
  },// 生命周期函数,加载成功
  didUpdate() {},//刷新
  didUnmount() {},//生命周期
  deriveDataFromProps(nextProps) { // 组件创建时触发或更新时触发
    this.setData({
        dialogDisplay:nextProps.displayDialog
      }
    )
    console.log(" deriveDataFromProps", nextProps, this.props, this.data);
  },
  methods: {// 自定义方法

    dialogClose(){
      //隐藏
      this.props.dialogDisplay = 0;

    },

  },
});